<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>


<link rel="stylesheet" href="https://unpkg.com/leaflet@1.6.0/dist/leaflet.css"/>
<link rel="stylesheet" href="https://hoom.live/wp-content/themes/aladin/assets/leaflet-search-master/src/leaflet-search.css" />
<style>
    #mapid{
        height: 300px;
    }
</style>

<script src="https://unpkg.com/leaflet@1.6.0/dist/leaflet.js"></script>
<script src="https://hoom.live/wp-content/themes/aladin/assets/leaflet-search-master/src/leaflet-search.js"></script>

<div class="wpuf-label">
    <label for="">Location Map </label>
</div>

<div class="wpuf-fields map-field">
    <div class="map-container">
        <div id="mapid"></div>
    </div>
    <em class="description">Drag the marker to your position on the map..</em>
</div>
<script>

    var mymap = new L.Map('mapid', { center: [51.5, -0.09] , zoom: 10 , zoomControl: false });
    L.control.zoom({
        position: 'bottomright'
    }).addTo(map);
    ttps://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
    mymap.addLayer(new L.TileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png',{
        attribution: '&copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a>',
    }));
    var marker = L.marker( [51.5, -0.09] ,{radius:30} ).addTo(mymap);

    $(document).ready(function() {
        $(window).keydown(function(event){
            if(event.keyCode == 13) {
                event.preventDefault();
                return false;
            }
        });
    });

    jQuery(function($){
        var loca_val = "";
        $("#location_19818").keyup(function(e){
            var code = e.keyCode || e.which;
            if(code == 13) {
                var data = 'q='+ $(this).val();
                $.ajax({
                    url: "https://nominatim.openstreetmap.org/search?format=json",
                    type: 'GET',
                    dataType: 'json',
                    data:data,
                    success: function(res) {
                        if( res[0].display_name !== 'undefined' ){
                            console.log(res[0].display_name , "Lat = "+res[0].lat+", Long = "+res[0].lon);
                            mymap.setView(new L.LatLng(res[0].lat, res[0].lon));
                            L.marker([res[0].lat, res[0].lon],{radius:30}).addTo(mymap);
                        }
                    }
                });
            }

        });

    });

</script>


</body>
</html>


<!--==============================================================-->
<!--<link rel="stylesheet" href="https://unpkg.com/leaflet@1.6.0/dist/leaflet.css"/>-->
<!--<link rel="stylesheet" href="https://hoom.live/wp-content/themes/aladin/assets/leaflet-search-master/src/leaflet-search.css" />-->
<!--<style>-->
<!--    #mapid{-->
<!--        height: 300px;-->
<!--    }-->
<!--</style>-->

<!--<script src="https://unpkg.com/leaflet@1.6.0/dist/leaflet.js"></script>-->
<!--<script src="https://hoom.live/wp-content/themes/aladin/assets/leaflet-search-master/src/leaflet-search.js"></script>-->

<!--<div class="wpuf-label">-->
<!--    <label for="">Location Map </label>-->
<!--</div>-->
<!--<div class="wpuf-fields">-->
<!--    <div id="mapid"></div>-->
<!--</div>-->
<!--<script>-->

<!--    var mymap = new L.Map('mapid', {-->
<!--        attribution:'&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a>',-->
<!--        center: [51.5, -0.09] , zoom: 10 });-->
<!--    mymap.addLayer(new L.TileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png'));-->
<!--    var marker = L.marker([51.5, -0.09],{radius:30}).addTo(mymap);-->
<!--    mymap.invalidateSize();-->

<!--    $(document).ready(function() {-->
<!--        $(window).keydown(function(event){-->
<!--            if(event.keyCode == 13) {-->
<!--                event.preventDefault();-->
<!--                return false;-->
<!--            }-->
<!--        });-->
<!--    });-->

<!--    jQuery(function($){-->
<!--        var loca_val = "";-->
<!--        $("#location_19818").keyup(function(e){-->
<!--            var code = e.keyCode || e.which;-->
<!--            if(code == 13) {-->
<!--                var data = 'q='+ $(this).val();-->
<!--                $.ajax({-->
<!--                    url: "https://nominatim.openstreetmap.org/search?format=json",-->
<!--                    type: 'GET',-->
<!--                    dataType: 'json',-->
<!--                    data:data,-->
<!--                    success: function(res) {-->
<!--                        if( res[0].display_name !== 'undefined' ){-->
<!--                            console.log(res[0].display_name , "Lat = "+res[0].lat+", Long = "+res[0].lon);-->
<!--                            mymap.setView(new L.LatLng(res[0].lat, res[0].lon)).zoomControl.setPosition("bottomright");-->
<!--                            L.marker([res[0].lat, res[0].lon],{radius:30}).addTo(mymap);-->
<!--                        }-->
<!--                    }-->
<!--                });-->
<!--            }-->

<!--        });-->

<!--    });-->

<!--</script>-->
